### Method

# ECal Component get_url

since: 3.34

#### Declaration [src]

    gchar*
    e_cal_component_get_url (
      ECalComponent* comp
    )

#### Description [src]

Queries the uniform resource locator property of a calendar component object. Free the returned URL with g_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `gchar*`

The URL, or `NULL`, when none is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.